using System;

internal sealed class Delegate624 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate624 delegate624_1)
	{
		delegate624_1(object_0);
	}

	public extern Delegate624(object object_0, IntPtr intptr_0);

	static Delegate624()
	{
		Class10.smethod_13(typeof(Delegate624).TypeHandle);
	}

	internal static Delegate624 delegate624_0;
}
